# -*- encoding: utf-8 -*-
# stub: omf_common 6.2.3 ruby lib

Gem::Specification.new do |s|
  s.name = "omf_common".freeze
  s.version = "6.2.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["NICTA".freeze]
  s.date = "2016-05-26"
  s.description = "Common library of OMF, a generic framework for controlling and managing networking testbeds.".freeze
  s.email = ["omf-user@lists.nicta.com.au".freeze]
  s.executables = ["file_broadcaster.rb".freeze, "file_receiver.rb".freeze, "omf_cert.rb".freeze, "omf_keygen".freeze, "omf_monitor_topic".freeze, "omf_send_configure".freeze, "omf_send_create".freeze, "omf_send_request".freeze]
  s.files = ["bin/file_broadcaster.rb".freeze, "bin/file_receiver.rb".freeze, "bin/omf_cert.rb".freeze, "bin/omf_keygen".freeze, "bin/omf_monitor_topic".freeze, "bin/omf_send_configure".freeze, "bin/omf_send_create".freeze, "bin/omf_send_request".freeze]
  s.homepage = "http://omf.mytestbed.net".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Common library of OMF".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.5.1"])
    s.add_development_dependency(%q<evented-spec>.freeze, ["~> 1.0.0.beta"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<eventmachine>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<logging>.freeze, ["~> 1.8.2"])
    s.add_runtime_dependency(%q<hashie>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<oml4r>.freeze, ["~> 2.10.1"])
    s.add_runtime_dependency(%q<amqp>.freeze, ["= 1.5.3"])
    s.add_runtime_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<oj>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<oj_mimic_json>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<json-jwt>.freeze, [">= 0"])
  else
    s.add_dependency(%q<minitest>.freeze, ["~> 5.5.1"])
    s.add_dependency(%q<evented-spec>.freeze, ["~> 1.0.0.beta"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<eventmachine>.freeze, [">= 0"])
    s.add_dependency(%q<logging>.freeze, ["~> 1.8.2"])
    s.add_dependency(%q<hashie>.freeze, [">= 0"])
    s.add_dependency(%q<oml4r>.freeze, ["~> 2.10.1"])
    s.add_dependency(%q<amqp>.freeze, ["= 1.5.3"])
    s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_dependency(%q<oj>.freeze, [">= 0"])
    s.add_dependency(%q<oj_mimic_json>.freeze, [">= 0"])
    s.add_dependency(%q<json-jwt>.freeze, [">= 0"])
  end
end
